Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class DHPkcsDeriveParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.DHPkcsDeriveParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class DHPkcsDeriveParameters
extends java.lang.Object
implements Parameters

This class encapsulates parameters for the algorithms Mechanism.DH_PKCS_DERIVE.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected byte[]` | `publicValue_` The initialization vector.

Constructor Summary
`DHPkcsDeriveParameters(byte[] publicValue)` Create a new DHPkcsDeriveParameters object with the given public value.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as a byte array.
`byte[]` | `getPublicValue()` Get the public value of the other party in the key agreement protocol.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setPublicValue(byte[] publicValue)` Set the public value of the other party in the key agreement protocol.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### publicValue_

    protected byte[] publicValue_

  The initialization vector.

Constructor Detail

### DHPkcsDeriveParameters

    public DHPkcsDeriveParameters(byte[] publicValue)

  Create a new DHPkcsDeriveParameters object with the given public value.
  Parameters:
    `publicValue` - The public value of the other party in the key agreement protocol.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as a byte array.
  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a byte array.

### getPublicValue

    public byte[] getPublicValue()

  Get the public value of the other party in the key agreement protocol.
  Returns:
    The public value of the other party in the key agreement protocol.

### setPublicValue

    public void setPublicValue(byte[] publicValue)

  Set the public value of the other party in the key agreement protocol.
  Parameters:
    `publicValue` - The public value of the other party in the key agreement protocol.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18